% Escolha um metodo: 1 (Euler), 2 (Taylor de ordem 2),
% 3 (Taylor de ordem 3), 4 (Heun), 5 (RK3), 6 (RK4)
% 11, 12, 13, 14, 15, 16 sao os mesmos metodos
% com extrapolacao de Richardson
Metodo = 16;

% Parametros do calculo
t0 = 0;             % Tempo inicial
tf = 1.2;            % Tempo final
h = 0.05;           % Passo de tempo;

% Condicoes iniciais
x0 = 1;             % Valor inicial

% Definindo equacao diferencial
F = @(t,z) Exemplo(t,z);
F1 = @(t,z) Exemplo_F1(t,z);
F2 = @(t,z) Exemplo_F2(t,z);

figure;

% Resolvendo pelo metodo de Taylor de ordem 2
z = Euler(t0,tf,h,x0,F,F1);
plot(z)
hold on

% Resolvendo pelo metodo de Taylor 2 com Richardson
z = Euler_Richardson(t0,tf,h,x0,F, F1);
plot(z)
%hold on
  
% Resolvendo pelo metodo de Taylor de ordem 3
z = Taylor2(t0,tf,h,x0,F,F1,F2);
plot(z)
hold on
    
% Resolvendo pelo metodo classico de Runge-Kutta
z = RK4(t0,tf,h,x0,F);
%plot(z)